## org.eclipse.datatools.sqltools.plan.internal.preference
Class ExecutionPlanPage

    java.lang.Object
      org.eclipse.jface.dialogs.DialogPage
          org.eclipse.jface.preference.PreferencePage
              org.eclipse.jface.preference.FieldEditorPreferencePage
                  org.eclipse.datatools.sqltools.common.ui.preferences.AbstractDBPreferenceFieldPage
                      org.eclipse.datatools.sqltools.plan.internal.preference.ExecutionPlanPage

All Implemented Interfaces:
  java.util.EventListener, org.eclipse.help.IContextProvider, org.eclipse.jface.dialogs.IDialogPage, org.eclipse.jface.dialogs.IMessageProvider, org.eclipse.jface.preference.IPreferencePage, org.eclipse.jface.util.IPropertyChangeListener, org.eclipse.swt.widgets.Listener, org.eclipse.ui.IWorkbenchPreferencePage

    public class ExecutionPlanPage

extends AbstractDBPreferenceFieldPage
implements org.eclipse.help.IContextProvider

Preference page for Execution Plan View.

To provide vendor specific options, vendor should extend "preferenceSection" extionsion point, which is defined in "org.eclipse.datatools.sqltools.common.ui" plugin.

Author:
  Dafan Yang

Field Summary

Fields inherited from class org.eclipse.jface.preference.FieldEditorPreferencePage
`FLAT, GRID`

Fields inherited from interface org.eclipse.help.IContextProvider
`NONE, SELECTION`

Fields inherited from interface org.eclipse.jface.dialogs.IMessageProvider
`ERROR, INFORMATION, NONE, WARNING`

Constructor Summary
`ExecutionPlanPage()`

Method Summary
`org.eclipse.help.IContext` `getContext(java.lang.Object target)`
`int` `getContextChangeMask()`
`java.lang.String` `getPreferencePageId()`
`java.lang.String` `getSearchExpression(java.lang.Object target)`
`void` `init(org.eclipse.ui.IWorkbench workbench)` subclass should override this method to set proper preference store
`boolean` `performOk()`

Methods inherited from class org.eclipse.datatools.sqltools.common.ui.preferences.AbstractDBPreferenceFieldPage
`handleEvent`

Methods inherited from class org.eclipse.jface.preference.FieldEditorPreferencePage
`dispose, propertyChange, setVisible`

Methods inherited from class org.eclipse.jface.preference.PreferencePage
`applyData, computeSize, createControl, getContainer, getPreferenceStore, isValid, okToLeave, performCancel, performHelp, setContainer, setErrorMessage, setMessage, setPreferenceStore, setSize, setTitle, setValid, toString`

Methods inherited from class org.eclipse.jface.dialogs.DialogPage
`getControl, getDescription, getErrorMessage, getImage, getMessage, getMessageType, getShell, getTitle, setDescription, setImageDescriptor, setMessage`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.preference.IPreferencePage
`computeSize, isValid, okToLeave, performCancel, setContainer, setSize`

Methods inherited from interface org.eclipse.jface.dialogs.IDialogPage
`createControl, dispose, getControl, getDescription, getErrorMessage, getImage, getMessage, getTitle, performHelp, setDescription, setImageDescriptor, setTitle, setVisible`

Constructor Detail

### ExecutionPlanPage

    public ExecutionPlanPage()

Method Detail

### getPreferencePageId

    public java.lang.String getPreferencePageId()

  Specified by:
    `getPreferencePageId` in class `AbstractDBPreferenceFieldPage`

### init

    public void init(org.eclipse.ui.IWorkbench workbench)

  Description copied from class: `AbstractDBPreferenceFieldPage`
  subclass should override this method to set proper preference store

  Specified by:
    `init` in interface `org.eclipse.ui.IWorkbenchPreferencePage`
  Overrides:
    `init` in class `AbstractDBPreferenceFieldPage`

### performOk

    public boolean performOk()

  Specified by:
    `performOk` in interface `org.eclipse.jface.preference.IPreferencePage`
  Overrides:
    `performOk` in class `AbstractDBPreferenceFieldPage`

### getContext

    public org.eclipse.help.IContext getContext(java.lang.Object target)

  Specified by:
    `getContext` in interface `org.eclipse.help.IContextProvider`

### getContextChangeMask

    public int getContextChangeMask()

  Specified by:
    `getContextChangeMask` in interface `org.eclipse.help.IContextProvider`

### getSearchExpression

    public java.lang.String getSearchExpression(java.lang.Object target)

  Specified by:
    `getSearchExpression` in interface `org.eclipse.help.IContextProvider`